<%@ page language="C#" autoeventwireup="true" inherits="general_Communicate_NewMsg, CrmCommand" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>无标题页</title>
       <script language="javascript" type="text/javascript">
function CheckForm()
{
   if(document.form1.txtName.value=="")
   {
    alert("请添加收信人！");
    document.form1.txtName.focus();
     return false;
   }
 
 if(document.form1.Textarea.value=="")
   {
    alert("短信内容不能为空！");
     document.form1.Textarea.focus();
     return false;
   }
  document.getElementById('BtnSend').click();
}

function CheckSend()
{
  if(event.keyCode==10)
  {
    CheckForm();      
  }
}



function selectUsers()
{
     var R=  window.showModalDialog("SelectUsers.aspx","newwindow","dialogWidth=300px;dialogHeight=600px");
     
 if(R != "" && R != null)
 {  
  R = R.substring(0,R.length-1);
  var S = R.split(',');
  var ids = "";
  var names ="";
 
 
  for(i=0;i<S.length;i=i+2)
  {
     names =names + S[i]+",";
  }
   for(i=1;i<S.length;i=i+2)
  {
     ids =ids + S[i]+",";
  }
  
   names = names.substring(0,names.length-1);
   ids = ids.substring(0,ids.length-1);
  
  document.getElementById("txtName").value =names;
  document.getElementById("txtId").value =ids;
  
  }
  
  
}
    </script>
</head>
<body class="bodycolor" topmargin="5">
    <form id="form1" runat="server">
      <TABLE class="small" cellSpacing="0" cellPadding="3" width="100%" border="0">
					<TR>
						<TD class="Big">
						<IMG height="18" src="../images/notify_new.gif" width="18" align="absMiddle"><SPAN class="big3">
								发短信息</SPAN>
						</TD>
					</TR>
				</TABLE>
				<TABLE class="small" cellSpacing="1" cellPadding="3" width="450" align="center" bgColor="#000000" border="0">
					
					<TR>
						<TD class="TableData" noWrap>收信人：</TD>
						<TD class="TableData" noWrap>
							 <textarea cols="1" id="txtName" rows="3" runat="server" readonly="readonly" style="width: 282px"
                                        visible="true"></textarea>
                                    <input id="BtnSel" class="BigButton" type="button" value="选择" onclick="selectUsers()"  runat="server" />
							
					</TR>
					
					<TR>
						<TD class="TableData" noWrap> 短信内容：</TD>
						<TD class="TableData">
							 <textarea cols="1" rows="4" id="Textarea" runat="server" style="width: 283px;"
                                        onkeypress="CheckSend()"></textarea><br />
                                    按Ctrl+回车键发送消息</TD>
					</TR>
					<TR>
						 <td colspan="2" class="TableData" noWrap align=center >
                                    <div style="height: 25px; overflow: hidden;">
                                        <asp:Button ID="BtnSend" runat="server"  CssClass="BigButton" Text="发送" OnClientClick="return CheckForm()"
                                            OnClick="BtnSend_Click" />
                                        
                                        <input id="Reset2" class="BigButton" type="reset" value="重填" /><br />
                                     
                                        
                                    </div>
                                </td>
					</TR>
				
				</TABLE><input id="txtId" runat=server  type="hidden" />
				
				
				
				
   
    </form>
</body>
</html>
